#if defined BossHP_included
	#endinput
#endif

#define BossHP_included

forward void OnBossIntialized(any Boss, any Config);

forward void OnBossDamaged(any Boss, any Config, int activator, float damage);

forward void OnBossKilled(any Boss, any Config, int reason);//reason: 0 = RoundEnd/MapEnd, 1 = KillTrigger, 2 = Death.
